%define fw_version 5.24

# Disabled since 5.11.0
%bcond_with ruby

Summary:	KDE Frameworks 5 plugin based UI runtime module
Name:		plasma-framework
Version:	5.24.0
Release:	3
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5activities-devel >= %{version}
BuildRequires:	kf5archive-devel >= %{version}
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5configwidgets-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5dbusaddons-devel >= %{version}
BuildRequires:	kf5declarative-devel >= %{version}
BuildRequires:	kf5doctools-devel >= %{version}
BuildRequires:	kf5globalaccel-devel >= %{version}
BuildRequires:	kf5guiaddons-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5iconthemes-devel >= %{version}
BuildRequires:	kf5kio-devel >= %{version}
BuildRequires:	kf5notifications-devel >= %{version}
BuildRequires:	kf5package-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	kf5windowsystem-devel >= %{version}
BuildRequires:	kf5xmlgui-devel >= %{version}
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-composite)
BuildRequires:	pkgconfig(xcb-damage)
BuildRequires:	pkgconfig(xcb-render)
BuildRequires:	pkgconfig(xcb-shape)
BuildRequires:	pkgconfig(xcb-xfixes)
Suggests:	plasma5-dataengine-testengine
Suggests:	plasma5-desktoptheme-air
Requires:	plasma5-desktoptheme-breeze
Requires:	plasma5-desktoptheme-breeze-dark
Requires:	plasma5-desktoptheme-breeze-light
Suggests:	plasma5-desktoptheme-oxygen
Requires:	plasma5-scriptengine-declarative
%if %{with ruby}
Requires:	plasma5-scriptengine-ruby
%else
Obsoletes:	plasma5-scriptengine-ruby < %{EVRD}
%endif

%description
KDE Frameworks 5 plugin based UI runtime module.

The plasma framework provides the foundations that can be used to build
a primary user interface, from graphical to logical components.

%files
%{_kde5_bindir}/plasmapkg2
%{_kde5_datadir}/plasma/services/*.operations
%{_kde5_mandir}/man1/plasmapkg2.1*
%{_kde5_servicetypes}/plasma-*.desktop

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-testengine
Summary:	Test data engine
Group:		Graphical desktop/KDE
Requires:	%{name}

%description -n plasma5-dataengine-testengine
Test data engine.

%files -n plasma5-dataengine-testengine
%{_kde5_services}/plasma-dataengine-testengine.desktop
%{_qt5_plugindir}/plasma_engine_testengine.so

#----------------------------------------------------------------------------

%package -n plasma5-desktoptheme-air
Summary:	Air plasma desktop theme
Group:		Graphical desktop/KDE
BuildArch:	noarch

%description -n plasma5-desktoptheme-air
Air plasma desktop theme.

%files -n plasma5-desktoptheme-air
%dir %{_kde5_datadir}/plasma/desktoptheme/air/
%{_kde5_datadir}/plasma/desktoptheme/air/*

#----------------------------------------------------------------------------

%package -n plasma5-desktoptheme-breeze
Summary:	Breeze plasma desktop theme
Group:		Graphical desktop/KDE
Conflicts:	plasma5-applet-notes < 5.4.3-2
BuildArch:	noarch

%description -n plasma5-desktoptheme-breeze
Breeze plasma desktop theme.

%files -n plasma5-desktoptheme-breeze
%dir %{_kde5_datadir}/plasma/desktoptheme/default/
%{_kde5_datadir}/plasma/desktoptheme/default/*

#----------------------------------------------------------------------------

%package -n plasma5-desktoptheme-breeze-dark
Summary:	Breeze Dark plasma desktop theme
Group:		Graphical desktop/KDE
BuildArch:	noarch

%description -n plasma5-desktoptheme-breeze-dark
Breeze Dark plasma desktop theme.

%files -n plasma5-desktoptheme-breeze-dark
%dir %{_kde5_datadir}/plasma/desktoptheme/breeze-dark/
%{_kde5_datadir}/plasma/desktoptheme/breeze-dark/*

#----------------------------------------------------------------------------

%package -n plasma5-desktoptheme-breeze-light
Summary:	Breeze Light plasma desktop theme
Group:		Graphical desktop/KDE
BuildArch:	noarch

%description -n plasma5-desktoptheme-breeze-light
Breeze Light plasma desktop theme.

%files -n plasma5-desktoptheme-breeze-light
%dir %{_kde5_datadir}/plasma/desktoptheme/breeze-light/
%{_kde5_datadir}/plasma/desktoptheme/breeze-light/*

#----------------------------------------------------------------------------

%package -n plasma5-desktoptheme-oxygen
Summary:	Oxygen plasma desktop theme
Group:		Graphical desktop/KDE
BuildArch:	noarch

%description -n plasma5-desktoptheme-oxygen
Oxygen plasma desktop theme.

%files -n plasma5-desktoptheme-oxygen
%dir %{_kde5_datadir}/plasma/desktoptheme/oxygen/
%{_kde5_datadir}/plasma/desktoptheme/oxygen/*

#----------------------------------------------------------------------------

%package -n plasma5-scriptengine-declarative
Summary:	Support for QML and JavaScript plasma applets
Group:		Graphical desktop/KDE
Requires:	%{name}

%description -n plasma5-scriptengine-declarative
Support for QML and JavaScript plasma applets.

%files -n plasma5-scriptengine-declarative
%{_kde5_services}/plasma-scriptengine-applet-declarative.desktop
%{_qt5_plugindir}/plasma/scriptengines/plasma_appletscript_declarative.so

#----------------------------------------------------------------------------

%if %{with ruby}
%package -n plasma5-scriptengine-ruby
Summary:	Support for ruby plasma applets
Group:		Graphical desktop/KDE
Requires:	%{name}
Requires:	ruby

%description -n plasma5-scriptengine-ruby
Support for ruby plasma applets.

%files -n plasma5-scriptengine-ruby
%{_kde5_services}/plasma-scriptengine-ruby-dataengine.desktop
%dir %{_kde5_datadir}/plasma/plasma_scriptengine_ruby/
%{_kde5_datadir}/plasma/plasma_scriptengine_ruby/*
%endif

#----------------------------------------------------------------------------

%package i18n
Summary:	Plasma Framework translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
Plasma Framework translations.

%files i18n -f %{name}.lang
%lang(lt) %{_datadir}/locale/lt/LC_SCRIPTS

#----------------------------------------------------------------------------

%define qmlkf5plasma %mklibname kf5plasma-qml

%package -n %{qmlkf5plasma}
Summary:	QML plugin for KDE Frameworks 5 Plasma Framework
Group:		System/Libraries
Provides:	kf5plasma-qml = %{EVRD}

%description -n %{qmlkf5plasma}
QML plugin for KDE Frameworks 5 Plasma Framework.

%files -n %{qmlkf5plasma}
%dir %{_kde5_qmldir}/org/kde/plasma/
%{_kde5_qmldir}/org/kde/plasma/*
%dir %{_kde5_qmldir}/QtQuick/Controls/Styles/Plasma/
%{_kde5_qmldir}/QtQuick/Controls/Styles/Plasma/*

#----------------------------------------------------------------------------

%define kf5plasma_major 5
%define libkf5plasma %mklibname kf5plasma %{kf5plasma_major}

%package -n %{libkf5plasma}
Summary:	KDE Frameworks 5 plugin based UI runtime shared library
Group:		System/Libraries
Requires:	%{name}-i18n
Requires:	%{qmlkf5plasma}

%description -n %{libkf5plasma}
KDE Frameworks 5 plugin based UI runtime shared library.

%files -n %{libkf5plasma}
%{_kde5_libdir}/libKF5Plasma.so.%{kf5plasma_major}*

#----------------------------------------------------------------------------

%define kf5plasmaquick_major 5
%define libkf5plasmaquick %mklibname kf5plasmaquick %{kf5plasmaquick_major}

%package -n %{libkf5plasmaquick}
Summary:	KDE Frameworks 5 plugin based UI runtime shared library
Group:		System/Libraries
Requires:	%{name}-i18n
Requires:	%{qmlkf5plasma}

%description -n %{libkf5plasmaquick}
KDE Frameworks 5 plugin based UI runtime shared library.

%files -n %{libkf5plasmaquick}
%{_kde5_libdir}/libKF5PlasmaQuick.so.%{kf5plasmaquick_major}*

#----------------------------------------------------------------------------

%define devkf5plasma %mklibname kf5plasma -d

%package -n %{devkf5plasma}
Summary:	Development files for KDE Frameworks 5 plugin based UI runtime module
Group:		Development/KDE and Qt
Requires:	%{libkf5plasma} = %{EVRD}
Requires:	%{libkf5plasmaquick} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5plasma-devel = %{version}
Provides:	kf5plasmaquick-devel = %{version}

%description -n %{devkf5plasma}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5plasma}
%{_kde5_datadir}/kdevappwizard/templates/*
%{_kde5_includedir}/KF5/Plasma
%{_kde5_includedir}/KF5/plasma
%{_kde5_includedir}/KF5/PlasmaQuick/
%{_kde5_includedir}/KF5/plasmaquick
%{_kde5_includedir}/KF5/plasma_version.h
%{_kde5_libdir}/cmake/KF5Plasma
%{_kde5_libdir}/cmake/KF5PlasmaQuick
%{_kde5_libdir}/libKF5Plasma.so
%{_kde5_libdir}/libKF5PlasmaQuick.so

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-man


%changelog

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.24.0-3
- (b19734c) No longer revert some commits, it's not needed for Plasma 5.7.x

* Fri Jul 15 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-2
- (149eee0) Revert upstream commits that seem to break system tray when widgets are locked

* Sun Jul 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (db7ffd4) Add man pages translations
- (Andrey Bondrov: c311928) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (3f9b1f6) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (82e6974) MassBuild#1024: Increase release tag

* Mon Apr 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (8f9241f) Update files (add PlasmaQuick headers)
- (8f9241f) Add kf5plasmaquick-devel package Provides
- (Andrey Bondrov: 72e8290) Drop l10n-ru patch (fixed upstream)
- (Andrey Bondrov: ed86703) Build no longer requires deprecated pkgconfig(Qt5Script)
- (Andrey Bondrov: 06f32ac) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (7c001b3) MassBuild#1000: Increase release tag

* Tue Mar 15 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (5e21189) Add Breeze Light theme subpackage
- (Andrey Bondrov: 4986bf8) Drop iconitem patch (fixed upstream)
- (Andrey Bondrov: 4986bf8) Add l10n-ru patch
- (Andrey Bondrov: 8e5d11b) New version 5.20.0

* Thu Feb 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-2
- (251186b) Backport patch from upstream to fix IconItem not loading non-theme icons with name

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (4c78216) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (26d9fc0) New version 5.18.0

* Sun Dec 27 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-2
- (90b4460) Add plasma5-desktoptheme-breeze conflicts with plasma5-applet-notes < 5.4.3-2

* Fri Dec 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (835830d) Update files (add templates to development package)
- (Andrey Bondrov: 5ba9b78) Drop platformstatus as upstream did
- (Andrey Bondrov: dd50ef8) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (8988dec) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (117ce99) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (18e84ba) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (b94bc49) Update files
- (Andrey Bondrov: d638de9) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (0c49e0f) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (1de60e5) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (74e1519) New file path for scriptengines
- (74e1519) Disable ruby scriptengine for now as upstream did
- (74e1519) Adjust find_lang usage
- (Andrey Bondrov: 2b71fa8) New version 5.11.0


